net.sourceforge.pmd.ast

## Class ASTVariableDeclaratorIdTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTVariableDeclaratorIdTest

    public class ASTVariableDeclaratorIdTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTVariableDeclaratorIdTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAnnotations()`
`void` `testIsExceptionBlockParameter()`
`void` `testTypeNameNode()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTVariableDeclaratorIdTest

    public ASTVariableDeclaratorIdTest()

### Method Detail

#### testIsExceptionBlockParameter

    public void testIsExceptionBlockParameter()

#### testTypeNameNode

    public void testTypeNameNode()
                          throws Throwable

Throws:
  `Throwable`

#### testAnnotations

    public void testAnnotations()
                         throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()